Bug 570803 - Review Request: crawl - Dungeon Crawl Stone Soup - a rogue-like game of exploration
Review Request: crawl - Dungeon Crawl Stone Soup - a rogue-like game of expl...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2010-03-05 08:06 EST by Ionuț Arțăriși
Modified: 2010-12-26 15:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-26 15:18:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ionuț Arțăriși 2010-03-05 08:06:55 EST
Spec URL: http://mapleoin.fedorapeople.org/pkgs/stone-soup/stone-soup-configs.patch
SRPM URL: http://mapleoin.fedorapeople.org/pkgs/stone-soup/stone-soup-0.5.2-1.fc12.src.rpm
Other sources can also be found in that directory.

Description: Dungeon Crawl Stone Soup is a free rogue-like game of exploration and
treasure-hunting in dungeons filled with dangerous and unfriendly monsters in
a quest for the mystifyingly fabulous Orb of Zot.

Stone Soup has diverse species and many different character backgrounds to
choose from, deep tactical game-play, sophisticated magic, religion and skill
systems, and a grand variety of monsters to fight and run from, making each
game unique and challenging.

I used the stone-soup name to differentiate between the older Dungeon Crawl which this was branched from. That name should be used consistently everywhere (file names, binaries etc.) except in the documentation which mostly still uses the name Crawl.

I copied the file permissions on executables and /var/ files from NetHack's spec in Fedora. The files in /var/ must be writable by Stone Soup. Rpmlint complains about them though.

I hope the rest of the things I did in this SPEC are made clear by their comments.
Comment 1 Ionuț Arțăriși 2010-03-05 08:07:56 EST
Oops, sorry. The SPEC link is: http://mapleoin.fedorapeople.org/pkgs/stone-soup/stone-soup.spec
Comment 2 Ionuț Arțăriși 2010-03-13 13:38:52 EST
I changed the name to crawl after asking upstream about it. Fedora doesn't have the old version anyway, so there shouldn't be any confusion.

http://mapleoin.fedorapeople.org/pkgs/crawl/crawl.spec
http://mapleoin.fedorapeople.org/pkgs/crawl/crawl-0.5.2-1.fc12.src.rpm
Comment 3 Michael Scherer 2010-06-21 19:09:53 EDT
That's my first review, so I may have likely forgot some point.

Package build fine on mock on f13 on i386.

Here is rpmlint output :
 $ rpmlint *rpm 
crawl.i686: W: name-repeated-in-summary C Crawl
crawl.i686: W: spelling-error %description -l en_US mystifyingly -> gratifyingly, terrifyingly, horrifyingly
crawl.i686: W: conffile-without-noreplace-flag /var/games/crawl/saves/scores
crawl.i686: W: conffile-without-noreplace-flag /var/games/crawl/saves/logfile
crawl.i686: E: non-standard-executable-perm /usr/bin/crawl 02755L
crawl.i686: E: non-standard-dir-perm /var/games/crawl 0775L
crawl.i686: E: zero-length /var/games/crawl/saves/scores
crawl.i686: E: non-standard-dir-perm /var/games/crawl/morgue 0775L
crawl.i686: E: non-standard-dir-perm /var/games/crawl/saves 0775L
crawl.i686: E: zero-length /var/games/crawl/saves/logfile
crawl.i686: E: non-standard-dir-perm /var/games/crawl/saves/des 0775L
crawl.src: W: name-repeated-in-summary C Crawl
crawl.src: W: spelling-error %description -l en_US mystifyingly -> gratifyingly, terrifyingly, horrifyingly
crawl-tiles.i686: W: no-documentation
crawl-tiles.i686: W: dangling-symlink /usr/share/crawl/dat/tiles/VeraMono.ttf /usr/share/fonts/dejavu/DejaVuSansMono.ttf
crawl-tiles.i686: E: non-standard-executable-perm /usr/bin/crawl-tiles 02755L
crawl-tiles.i686: W: dangling-symlink /usr/share/crawl/dat/tiles/Vera.ttf /usr/share/fonts/dejavu/DejaVuSans.ttf
crawl-tiles.i686: W: no-manual-page-for-binary crawl-tiles
4 packages and 0 specfiles checked; 8 errors, 10 warnings.

The software do not work after installation :

$ crawl  
Save directory "/var/games/stone-soup//saves/" does not exist and I can't create it.

It seems the renaming broke it.


If there is a soft link to a font in dejavu-sans-fonts, i guess that rpm should be required.
Comment 4 Michael Scherer 2010-06-21 19:11:07 EDT
And since there is a new version of the game, maybe you could update the spec.
Comment 5 Jason Tibbitts 2010-11-17 20:32:21 EST
There doesn't seem to have been any response to the above commentary.  I'll go ahead and close this out soon if nothing happens.

Note You need to log in before you can comment on or make changes to this bug.